Method: projects.locations.collections.dataStores.updateDocumentProcessingConfig

DocumentProcessingConfig를 업데이트합니다. DocumentProcessingConfigDataStore의 싱글톤 리소스입니다. DataStore가 생성될 때는 비어 있습니다. 이 메서드를 처음 호출하면 DocumentProcessingConfig가 설정됩니다.

updateMask 쿼리 파라미터는 지원되지 않습니다. 설정하면 요청에서 오류가 반환됩니다. 변경 가능한 필드를 업데이트하려면 updateMask를 생략하고 전체 DocumentProcessingConfig를 요청 본문으로 전송합니다. 전체 리소스가 덮어쓰기되므로 유지하려는 모든 값을 포함합니다. 예를 들어 레이아웃 파서를 업데이트하려면 DocumentProcessingConfig.default_parsing_config (또는 DocumentProcessingConfig.parsing_config_overrides)를 설정하고 updateMask를 생략합니다. DocumentProcessingConfig.chunking_config와 같은 일부 필드는 변경할 수 없으며 변경하면 오류가 반환됩니다.

HTTP 요청

PATCH https://discoveryengine.googleapis.com/v1alpha/{documentProcessingConfig.name=projects/*/locations/*/collections/*/dataStores/*/documentProcessingConfig}

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
documentProcessingConfig.name

string

문서 처리 구성의 전체 리소스 이름입니다. 형식은 projects/*/locations/*/collections/*/dataStores/*/documentProcessingConfig입니다.

쿼리 매개변수

매개변수
updateMask

string (FieldMask format)

지원되지 않음. updateMask가 설정되면 요청에서 UnsupportedFieldError가 반환됩니다. 변경 가능한 필드를 업데이트하려면 updateMask를 생략합니다. 그러면 요청 본문의 전체 DocumentProcessingConfig가 기존 리소스를 덮어씁니다. 자세한 내용은 메서드 설명을 참고하세요.

정규화된 필드 이름의 쉼표로 구분된 목록입니다. 예: "user.displayName,photo"

요청 본문

요청 본문에 DocumentProcessingConfig의 인스턴스가 포함됩니다.

응답 본문

성공한 경우 응답 본문에 DocumentProcessingConfig의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

자세한 내용은 Authentication Overview에서 확인하세요.

IAM 권한

name 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • discoveryengine.documentProcessingConfigs.update

자세한 내용은 IAM 문서를 참조하세요.